import {searchBarTimeout, searchSection} from "./main.js"
import Dataset from "./dataset.js"

export function fetchQuery(fetchString) {
    clearTimeout(searchBarTimeout);
    fetch(fetchString)
        .then(resp => resp.json())
        .then((data) => {
            parseContent(data.content);
        });
}

function parseContent(content) {
    if (content.length === 0) {
        searchSection.querySelector("#nothing-found ").classList.remove("hidden");
    } else {
        searchSection.querySelector("#nothing-found").classList.add("hidden");
        const datasets = content.map(dataset => new Dataset(dataset));
        Array.from(searchSection.querySelectorAll(".datasets .dataset")).forEach(e => e.remove());
        for (const dataset of datasets) {
            searchSection.querySelector(".datasets").appendChild(dataset.createDatasetHTMLElement());
        }
    }

}
